Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(632)

Issue 10945044: 6LoWPAN module (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 years, 6 months ago by Tommaso Pecorella
Modified:
8 years, 1 month ago
Reviewers:
Tom Henderson, Mathieu Lacage, dr.eng.ghaleb
CC:
ns-3-reviews_googlegroups.com
Visibility:
Public.

Description

6LoWPAN module

Patch Set 1 : Clean patch + uncrustify #

Patch Set 2 : Fix guessed MAC address length #

Total comments: 33

Patch Set 3 : Address Tom's comments #

Patch Set 4 : Docs update #

Patch Set 5 : Missing include #

Total comments: 2

Patch Set 6 : More tests and fixes #

Patch Set 7 : Many bugs fixed (shame on me) #

Patch Set 8 : Cleanup documentation and added fragmentation test #

Total comments: 6

Patch Set 9 : New code following Mathieu's suggestions #

Total comments: 38

Patch Set 10 : New patch adressing Tom's comments #

Patch Set 11 : Updated Changes, release notes and authors. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+7342 lines, -14 lines) Patch
M AUTHORS View 1 2 3 4 5 6 7 8 9 10 1 chunk +1 line, -0 lines 0 comments Download
M CHANGES.html View 1 2 3 4 5 6 7 8 9 10 1 chunk +9 lines, -0 lines 0 comments Download
M RELEASE_NOTES View 1 2 3 4 5 6 7 8 9 10 1 chunk +6 lines, -0 lines 0 comments Download
M doc/models/Makefile View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M src/internet/model/udp-header.h View 1 2 3 4 5 6 7 8 9 2 chunks +36 lines, -0 lines 0 comments Download
M src/internet/model/udp-header.cc View 1 2 3 4 5 6 7 7 chunks +46 lines, -14 lines 0 comments Download
A src/sixlowpan/doc/sixlowpan.rst View 1 2 3 4 5 6 7 8 9 10 1 chunk +147 lines, -0 lines 0 comments Download
A src/sixlowpan/examples/example-sixlowpan.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +139 lines, -0 lines 0 comments Download
A src/sixlowpan/examples/wscript View 1 chunk +9 lines, -0 lines 0 comments Download
A src/sixlowpan/helper/sixlowpan-helper.h View 1 2 3 4 5 6 7 8 9 1 chunk +102 lines, -0 lines 0 comments Download
A src/sixlowpan/helper/sixlowpan-helper.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +83 lines, -0 lines 0 comments Download
A src/sixlowpan/model/sixlowpan-header.h View 1 2 3 4 5 6 7 8 9 1 chunk +1214 lines, -0 lines 0 comments Download
A src/sixlowpan/model/sixlowpan-header.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +1747 lines, -0 lines 0 comments Download
A src/sixlowpan/model/sixlowpan-net-device.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +455 lines, -0 lines 0 comments Download
A src/sixlowpan/model/sixlowpan-net-device.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +2118 lines, -0 lines 0 comments Download
A src/sixlowpan/test/error-channel-sixlow.h View 1 2 3 4 5 6 7 8 9 1 chunk +107 lines, -0 lines 0 comments Download
A src/sixlowpan/test/error-channel-sixlow.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +196 lines, -0 lines 0 comments Download
A src/sixlowpan/test/sixlowpan-fragmentation-test.cc View 1 2 3 4 5 6 7 8 9 1 chunk +463 lines, -0 lines 0 comments Download
A src/sixlowpan/test/sixlowpan-hc1-test.cc View 1 2 3 4 5 6 7 8 1 chunk +216 lines, -0 lines 0 comments Download
A src/sixlowpan/test/sixlowpan-iphc-test.cc View 1 2 3 4 5 6 7 8 1 chunk +214 lines, -0 lines 0 comments Download
A src/sixlowpan/wscript View 1 2 3 4 5 6 7 8 9 1 chunk +33 lines, -0 lines 0 comments Download

Messages

Total messages: 30
Tommaso Pecorella
This patch also contains the Mac16 and Mac64 address improvements, as they are mandatory for ...
8 years, 6 months ago (2013-07-08 21:45:35 UTC) #1
Tommaso Pecorella
8 years, 6 months ago (2013-07-13 18:54:45 UTC) #2
Tommaso Pecorella
8 years, 6 months ago (2013-07-13 18:57:10 UTC) #3
Tommaso Pecorella
On 2013/07/13 18:57:10, Tommaso Pecorella wrote: New patch, without the things that have been merged ...
8 years, 6 months ago (2013-07-13 18:58:29 UTC) #4
Tommaso Pecorella
8 years, 6 months ago (2013-07-19 06:14:10 UTC) #5
Tommaso Pecorella
8 years, 6 months ago (2013-07-19 06:26:26 UTC) #6
Tommaso Pecorella
This new version bounds the MAC address -> IP address conversion to the specific use-case. ...
8 years, 6 months ago (2013-07-19 06:31:38 UTC) #7
Tom Henderson
In general this seems mostly there, but I'm concerned about the lack of test code, ...
8 years, 5 months ago (2013-07-25 16:24:54 UTC) #8
Tommaso Pecorella
On 2013/07/25 16:24:54, Tom Henderson wrote: > In general this seems mostly there, but I'm ...
8 years, 5 months ago (2013-07-26 11:39:00 UTC) #9
Tommaso Pecorella
8 years, 5 months ago (2013-07-28 17:07:40 UTC) #10
Tommaso Pecorella
Fixed stuff around. Also clarified some functions. Removed dead code and comments and so on. ...
8 years, 5 months ago (2013-07-28 17:08:48 UTC) #11
Tommaso Pecorella
8 years, 5 months ago (2013-07-28 17:17:13 UTC) #12
Tommaso Pecorella
8 years, 5 months ago (2013-07-28 18:54:59 UTC) #13
Tom Henderson
Do you have any plans to test fragmentation and header code? https://codereview.appspot.com/10945044/diff/55001/src/sixlowpan/test/sixlowpan-model-test-suite.cc File src/sixlowpan/test/sixlowpan-model-test-suite.cc (right): ...
8 years, 5 months ago (2013-07-28 19:53:23 UTC) #14
Tommaso Pecorella
On 2013/07/28 19:53:23, Tom Henderson wrote: > Do you have any plans to test fragmentation ...
8 years, 5 months ago (2013-07-28 21:49:38 UTC) #15
Tommaso Pecorella
8 years, 5 months ago (2013-07-29 22:19:56 UTC) #16
Tommaso Pecorella
On 2013/07/29 22:19:56, Tommaso Pecorella wrote: I checked the fragmentation test but it's quite hard ...
8 years, 5 months ago (2013-07-29 22:23:01 UTC) #17
Tommaso Pecorella
8 years, 5 months ago (2013-08-03 19:33:58 UTC) #18
Tommaso Pecorella
8 years, 1 month ago (2013-11-23 12:18:37 UTC) #19
Tommaso Pecorella
On 2013/11/23 12:18:37, Tommaso Pecorella wrote: Note that some of the differences in doc/models/Makefile are ...
8 years, 1 month ago (2013-11-23 12:25:34 UTC) #20
Mathieu Lacage
looks great overall. https://codereview.appspot.com/10945044/diff/71001/src/sixlowpan/model/sixlowpan-header.h File src/sixlowpan/model/sixlowpan-header.h (right): https://codereview.appspot.com/10945044/diff/71001/src/sixlowpan/model/sixlowpan-header.h#newcode47 src/sixlowpan/model/sixlowpan-header.h:47: class SixLowPanDispatch : public Header The ...
8 years, 1 month ago (2013-11-25 07:59:13 UTC) #21
Tommaso Pecorella
Hi Mathieu, Thanks for the review, it's very appreciated. here are the answers to your ...
8 years, 1 month ago (2013-11-25 11:08:25 UTC) #22
Tommaso Pecorella
8 years, 1 month ago (2013-11-25 21:21:16 UTC) #23
Tommaso Pecorella
On 2013/11/25 21:21:16, Tommaso Pecorella wrote: Mathieu mad me think about the namespace and the ...
8 years, 1 month ago (2013-11-25 21:30:21 UTC) #24
Tom Henderson
This looks good to me for merging once comments are addressed. I'd like to see ...
8 years, 1 month ago (2013-11-29 15:40:49 UTC) #25
Tommaso Pecorella
Comments to Tom's comments. New patch incoming. https://codereview.appspot.com/10945044/diff/91001/src/internet/model/udp-header.h File src/internet/model/udp-header.h (right): https://codereview.appspot.com/10945044/diff/91001/src/internet/model/udp-header.h#newcode136 src/internet/model/udp-header.h:136: * \param ...
8 years, 1 month ago (2013-11-30 10:52:40 UTC) #26
Tommaso Pecorella
8 years, 1 month ago (2013-11-30 10:54:05 UTC) #27
Tommaso Pecorella
8 years, 1 month ago (2013-11-30 12:11:31 UTC) #28
dr.eng.ghaleb_gmail.com
Thank you all for your great effort. By the way, May I know when ns-3.19 ...
8 years, 1 month ago (2013-12-01 12:58:20 UTC) #29
Tommaso Pecorella
8 years, 1 month ago (2013-12-01 15:04:12 UTC) #30
On 2013/12/01 12:58:20, dr.eng.ghaleb_gmail.com wrote:
> Thank you all for your great effort. 
> 
> By the way, May I know when ns-3.19 is scheduled to be released?
> 
> On Saturday, November 30, 2013 3:11:32 PM UTC+3, Tommaso Pecorella wrote:
> >
> > http://codereview.appspot.com/10945044/ 
> >

The release plan is here: http://www.nsnam.org/wiki/Ns-3.19

... but the website isn't working properly right now.

Cheers,

T.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b